/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
import { Basis } from '../../extensions/alpha-orbitals/cubes';
import { SphericalBasisOrder } from '../../extensions/alpha-orbitals/orbitals';
import { PluginContext } from '../../mol-plugin/context';
import { ParamDefinition } from '../../mol-util/param-definition';
import { BehaviorSubject } from 'rxjs';
import './index.html';
interface DemoInput {
    moleculeSdf: string;
    basis: Basis;
    order: SphericalBasisOrder;
    orbitals: {
        energy: number;
        alpha: number[];
    }[];
}
interface Params {
    orbitalIndex: number;
    isoValue: number;
    gpuSurface: boolean;
    cpuCompute: boolean;
}
export declare class AlphaOrbitalsExample {
    plugin: PluginContext;
    init(target: string | HTMLElement): Promise<void>;
    readonly params: BehaviorSubject<ParamDefinition.For<Params>>;
    readonly state: BehaviorSubject<Params>;
    private volume?;
    private positive?;
    private negative?;
    private currentParams;
    private setIndex;
    private setIsovalue;
    private volumeParams;
    load(input: DemoInput): Promise<void>;
}
export {};
