/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * Inspired by https://github.com/dgasmith/gau2grid.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
import { RuntimeContext } from '../../mol-task';
import { Basis, CubeGridInfo } from './cubes';
import { SphericalBasisOrder } from './orbitals';
export interface CollocationParams {
    grid: CubeGridInfo;
    basis: Basis;
    sphericalOrder: SphericalBasisOrder;
    cutoffThreshold: number;
    alphaOrbitals: number[];
}
export declare function sphericalCollocation({ grid, basis, sphericalOrder, cutoffThreshold, alphaOrbitals, }: CollocationParams, taskCtx: RuntimeContext): Promise<Float32Array>;
