/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 * @author David Sehnal <david.sehnal@gmail.com>
 */
/// <reference types="react" />
import { PluginUIComponent } from './base';
import { Structure } from '../mol-model/structure';
declare type SequenceViewState = {
    structure: Structure;
    structureRef: string;
    modelEntityId: string;
    chainGroupId: number;
    operatorKey: string;
};
export declare class SequenceView extends PluginUIComponent<{}, SequenceViewState> {
    state: {
        structure: Structure;
        structureRef: string;
        modelEntityId: string;
        chainGroupId: number;
        operatorKey: string;
    };
    componentDidMount(): void;
    private getStructure;
    private getSequenceWrapper;
    private getInitialState;
    private get params();
    private get values();
    private setParamProps;
    render(): JSX.Element;
}
export {};
